#ifndef LOADIMAGE_H
#define LOADIMAGE_H

#include <QObject>
#include <QImage>
#include <QLabel>
#include <FreeImage.h>
#include <QFileInfo>

class LoadImage : public QObject
{
    Q_OBJECT
public:
    explicit LoadImage(QObject *parent = nullptr);
    void setFlag(bool);
public slots:
    void loadImageToWidget(QString loadPath, QString save_path, QImage *img, QLabel *container,double scale, bool rotationFlag,QSize labSize);
private:
    bool m_flag;
    void loadAndSave(QString newLoadPath, QString loadPath);

signals:
    void finished(QString, double, QImage);

};

#endif // LOADIMAGE_H
